## net.sourceforge.pmd.cpd
Class PHPLanguage.PHPFileOrDirectoryFilter

    java.lang.Object
      net.sourceforge.pmd.cpd.PHPLanguage.PHPFileOrDirectoryFilter

All Implemented Interfaces:
  java.io.FilenameFilter

Enclosing class:
  PHPLanguage

public static class PHPLanguage.PHPFileOrDirectoryFilter
extends java.lang.Object
implements java.io.FilenameFilter

Constructor Summary
`PHPLanguage.PHPFileOrDirectoryFilter()`

Method Summary
`boolean` `accept(java.io.File dir, java.lang.String filename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PHPLanguage.PHPFileOrDirectoryFilter

    public PHPLanguage.PHPFileOrDirectoryFilter()

Method Detail

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String filename)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

Copyright © 2002-2006 InfoEther. All Rights Reserved.